- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# CORBA_String.cpp File Reference

`#include "tao/CORBA_String.h"`
`#include "tao/Managed_Types.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_wchar.h"`
`#include "ace/OS_Memory.h"`
`#include "ace/streams.h"`

Include dependency graph for CORBA_String.cpp:

## CORBA String Memory Management
CORBA string memory management functions.
TAO_BEGIN_VERSIONED_NAMESPACE_DECL char * | CORBA::string_dup (const char *str)
char * | CORBA::string_alloc (CORBA::ULong len)
void | CORBA::string_free (char *str)
## CORBA Wide String Memory Management
CORBA wide string memory management functions.
CORBA::WChar * | CORBA::wstring_dup (const WChar *const str)
CORBA::WChar * | CORBA::wstring_alloc (CORBA::ULong len)
void | CORBA::wstring_free (CORBA::WChar *const str)
## Functions
ostream & | operator<< (ostream &os, const CORBA::String_var &sv)
istream & | operator>> (istream &is, CORBA::String_var &sv)
ostream & | operator<< (ostream &os, CORBA::String_out &so)
istream & | operator>> (istream &is, CORBA::String_out &so)
ostream & | operator<< (ostream &os, const CORBA::WString_var &wsv)
istream & | operator>> (istream &is, CORBA::WString_var &wsv)
ostream & | operator<< (ostream &os, CORBA::WString_out &wso)
istream & | operator>> (istream &is, CORBA::WString_out &wso)

## Function Documentation

ostream& operator<< | ( | ostream & | os,
|  | CORBA::WString_out & | wso |
| ) |  |  |

ostream& operator<< | ( | ostream & | os,
|  | const CORBA::WString_var & | wsv |
| ) |  |  |

ostream& operator<< | ( | ostream & | os,
|  | CORBA::String_out & | so |
| ) |  |  |

ostream& operator<< | ( | ostream & | os,
|  | const CORBA::String_var & | sv |
| ) |  |  |

istream& operator>> | ( | istream & | is,
|  | CORBA::WString_out & | wso |
| ) |  |  |

istream& operator>> | ( | istream & | is,
|  | CORBA::WString_var & | wsv |
| ) |  |  |

istream& operator>> | ( | istream & | is,
|  | CORBA::String_out & | so |
| ) |  |  |

istream& operator>> | ( | istream & | is,
|  | CORBA::String_var & | sv |
| ) |  |  |